<?php
#PROFISSIONAL
			
if(isset($_POST['salvar_profissional'])) {
$nome			=	$_POST['nome'];
$email			=	$_POST['email'];
$telefone		=	$_POST['telefone'];
$site			=	$_POST['site'];
$segmento			=	$_POST['segmento'];
$descricao_curta		=	$_POST['descricao_curta'];
$status		=	$_POST['status'];
if($_FILES['foto']['name'] === ""){
	$destino2 = "";
} else {
		
	$arquivo		=	$_FILES['foto']['tmp_name'];
	$arquivo2		=	md5($arquivo).".jpg";
	$destino		=	"../images/profissional/".$arquivo2;
	$destino2		=	$arquivo2;	

}


$insert	= "INSERT INTO tb_profissionais (nome, email, telefone, site, segmento, descricao_curta, imagem,status) VALUES ('$nome','$email','$telefone','$site', '$segmento', '$descricao_curta', '$destino2', $status)";
if($query	= mysql_query($insert)){
	
	if($_FILES['foto']['name'] <> ""){
		move_uploaded_file($arquivo, $destino);	
	}

echo "<p class='return-form'> Profissional cadastrado.</p>";
	
	} else { 

	echo "<p class='return-form error'> Erro ao cadastrar. Informe o erro ao programador: <br />".mysql_error()."</p>";
	
} }
	
#DELETAR PROFISSIONAL

if(isset($_GET['delprof'])) {

$delcod			=	$_GET['delprof'];
$select			=  "SELECT * FROM tb_profissionais WHERE cod = $delcod";
$querysel			=	mysql_query($select);
$sqlsel			=	mysql_fetch_array($querysel);

if($sqlsel['imagem'] <> ""){
unlink("../images/profissional/".$sqlsel['imagem']);	 
}

$delete 			= "DELETE FROM tb_profissionais WHERE cod = $delcod";
$querydel			=  mysql_query($delete) or die(mysql_error());

echo "<p class='return-form'>Profissional excluido.</p>";
	
}



#EDITAR PROFISSIONAL
if(isset($_POST['editar_profissional'])){

$cod			=	$_POST['cod'];	
$nome			=	$_POST['nome'];
$email			=	$_POST['email'];
$telefone		=	$_POST['telefone'];
$site			=	$_POST['site'];
$segmento			=	$_POST['segmento'];
$descricao_curta		=	$_POST['descricao_curta'];
$status		=	$_POST['status'];
if($_FILES['foto']['name'] === ""){
	$destino2 = $_POST['foto2'];
} else {
	
	
		
	$arquivo		=	$_FILES['foto']['tmp_name'];
	$arquivo2		=	md5($arquivo).".jpg";
	$destino		=	"../images/profissional/".$arquivo2;
	$destino2		=	$arquivo2;	

}

$update	= "UPDATE tb_profissionais SET nome = '$nome', descricao_curta = '$descricao_curta', imagem = '$destino2', email = '$email', telefone = '$telefone', site = '$site', segmento = '$segmento', status = $status WHERE cod = $cod";
echo mysql_error();
if($queryupdate	=	mysql_query($update)){
	
	
	if($_FILES['foto']['name'] <> ""){
		move_uploaded_file($arquivo, $destino);	
		if($_POST['foto2'] <> ""){
			unlink("../images/profissional/".$_POST['foto2']);
		}
	}
	
	echo "<p class='return-form'>Profissional alterado.</p>";
	
	} else { 

	echo "<p class='return-form error'> Erro ao editar. Informe o erro ao programador: <br />".mysql_error()."</p>"; 
	
} }
?>